package com.github.jfcloud.gene.sample.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 样本送检申请单详情
 */
@Data
public class CheckItemSerumVo {

    @Schema(description = "样本编号前缀")
    private String codePrefix;

    @Schema(description = "样本编号后缀")
    private String codeSuffix;

    @Schema(description = "样本类型")
    private String type;

    @Schema(description = "性别")
    private String sex;

    @Schema(description = "年龄")
    private String age;

    @Schema(description = "动物种类")
    private String animalSpecies;

    @Schema(description = "专业组")
    private String professionalGroup;

    @Schema(description = "仪器名称")
    private String instrument;

    /**
     * 检测指标
     */
    @Schema(description = "检测指标")
    private String target;

    /**
     * 样本数量
     */
    @Schema(description = "样本数量")
    private String num;

    /**
     * 送检样本体积
     */
    @Schema(description = "送检样本体积")
    private String volume;

    /**
     * 送检日期
     */
    @Schema(description = "送检日期")
    private String sendDate;

    /**
     * 24h急检
     */
    @Schema(description = "24h急检")
    private String quickCheck;

    /**
     * 样本需返还
     */
    @Schema(description = "样本需返还")
    private String needBack;

    /**
     * 备注或其他需求
     */
    @Schema(description = "备注或其他需求")
    private String remark;
}